import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
import { INotification, INotificationsService } from '@workbench-stack/core';
export declare class NotificationService implements INotificationsService {
    protected client: ApolloClient<any>;
    protected cache: InMemoryCache;
    constructor(client: ApolloClient<any>, cache: InMemoryCache);
    addNotification(notification: INotification): boolean;
    closeNotification(index: number): boolean;
}
